@import url('https://fonts.googleapis.com/css2?family=Instrument+Sans:ital,wght@0,400..700;1,400..700&display=swap');
:root {
  --color-principal: #0D8BB9;
  --color-secundario: #3399CC; 
  --color-hover: #1976D2; 
  --color-fondo: #000000; 
  --color-texto: #FFFFFF; 

  /*Accesibilidad*/

  --color-principal: #17b6eb; 
  --color-secundario: #00fff2;
  --color-resaltado: #FFD700; 
  --color-banner: #00ff08; 
  --color-opcional: #c8ff00; 
  --color-letra: #0400ff;
  --color-border: #09ff00;
  --color-botton: #ff00ea;

}
*{
    padding:0px;
    margin: 0px;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Inter', sans-serif;
    background-color: #000000;
    color: #ffffff;
}

/* Marquesina */
.marquesina {
    background-color: #0D8BB9;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
    letter-spacing: 2px;
  }



/* Menú hamburguesa */
.hamburger{
  display: none; /* Oculto en pantallas grandes */
    background: none;
    border: none;
    font-size: 24px;
    color: white;
    cursor: pointer;
}
 
 
  .ticker {
    display: inline-block;
    padding: 10px;
    animation: ticker-scroll 30s linear infinite;
    font-size: 14px;
  }

.contact-button{
    background-color: #0D8BB9;
    padding: 10px;
}

  @keyframes ticker-scroll {
    0% {
      transform: translateX(100%);
    }
    100% {
      transform: translateX(-100%);
    }
  }
 
/* Navbar */
.nav-bar {
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 30px;
    position: relative;
  }
 
  .logo-img {
    width: 7%;
    margin-right: 15px;
  }
 
  .logo {
    font-family: 'Lusitana', serif;
    font-size: 28px;
    color: white;
  }
 
  .nav-links {
    list-style: none;
    display: flex;
    gap: 25px;
    margin: 0;
    padding: 0;
  }
 
  .nav-links li a {
    color: white;
    text-decoration: none;
    font-family: 'Jomhuria', cursive;
    font-size: 2em;
    transition: color 0.3s;
  }
 
  
 
  .carrito {
    font-size: 1em;
    color: white;
    cursor: pointer;
  }
 
/*modal carrito*/
/* Estilos del Carrito */
.modal-carrito {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    width: 350px;
    height: 100%;
    background: white;
    color: #333;
    z-index: 1000;
    box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1);
    overflow-y: auto;
    font-size: 11px;
  }
  
  .btn-eliminar {
    background: none;
    border: none;
    color: #ff5252;
    cursor: pointer;
    font-size: 16px;
    margin-left: 10px;
    padding: 5px;
  }
  
  .btn-eliminar:hover {
    color: #ff0000;
  }
  .contenido-carrito {
    padding: 20px;
  }
  
  .close-btn {
    font-size: 24px;
    cursor: pointer;
    float: right;
  }
  
  .item-carrito {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #eee;
  }
  
  .info-producto {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 50%;
  }
  
  .info-producto img {
    border-radius: 4px;
  }
  .cantidad-producto {
  display: flex;
  align-items: center;
  margin: 10px 0;
}

.cantidad-producto button {
  width: 30px;
  height: 30px;
  background: #0D8BB9;
  color: white;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  cursor: pointer;
}

.cantidad-producto button:hover {
  background: #0a7ba3;
}

.cantidad-producto input {
  width: 50px;
  height: 30px;
  text-align: center;
  margin: 0 5px;
  border: 1px solid #ddd;
  border-radius: 4px;
}
  .controles-cantidad {
    display: flex;
    align-items: center;
    gap: 5px;
  }
  
  .controles-cantidad button {
    background: #f0f0f0;
    border: none;
    width: 25px;
    height: 25px;
    border-radius: 4px;
    cursor: pointer;
  }
  
  .controles-cantidad button:hover {
    background: #ddd;
  }
  
  .btn-eliminar {
    color: #ff5252;
    margin-left: 10px;
  }
  
  #carrito-resumen {
    margin-top: 20px;
    padding-top: 20px;
    border-top: 1px solid #eee;
  }
  
  .btn-finalizar {
    width: 100%;
    padding: 10px;
    background: #0D8BB9;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 10px;
  }
  
  .btn-finalizar:hover {
    background: #0a7ba3;
  }
  
  .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
  }
  
  /* Notificación */
  .notificacion {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    background: #0D8BB9;
    color: white;
    padding: 12px 24px;
    border-radius: 4px;
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 1001;
  }
  
  .notificacion.mostrar {
    opacity: 1;
  }
  /*Ojo detalle producto*/
  
  /* Contenedor para los botones finales */
.controles-finales {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px; /* Espacio entre los botones */
    margin-top: 10px;
}
 
/* Seccion banner */
.banner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 50px;
    position: relative;
    overflow: hidden; /* Para ocultar el desbordamiento del romboide */
    
}

.banner-content {
    flex: 1;
    color: #FFFFFF;
}

.banner-content h1 {
    font-size:7em;
    font-weight: 100;
    margin-bottom: -30px;
    font-family: 'Jomhuria', cursive;
  }
  
  .banner-content p {
    font-family: 'Lusitana', serif;
    font-size: 2em;
    margin-top: 15px;
    text-align:center;
    letter-spacing: 1.0em; /* Añade espacio entre letras */
  }

.banner-image {
    flex: 1;
    text-align: right;
}

.banner-image img {
    width: 400px;
    height: 500px;
}

/* Franja Azul */
.banner::before {
    content: '';
    position: absolute;
    top: 0;
    left: -20%; /* Ajusta para que el romboide comience fuera de la pantalla */
    width:180%; /* Ajusta para que el romboide cubra todo el banner */
    height: 100%;
    background-color: #0D8BB9;
    transform: skew(-82deg);
    z-index: -1;
}

/* Estilos para los controles de accesibilidad */
.accessibility-controls {
  position: fixed;
  top: 450px;
  left: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  z-index: 1000;
}

.accessibility-controls button {
  background-color: #17b6eb; /* Verde */
  color: white;
  border: none;
  padding: 10px 15px;
  cursor: pointer;
  border-radius: 5px;
  font-size: 16px;
}

.accessibility-controls button:hover {
  background-color: #00fff2;
}

/* Estilos para el modo de alto contraste y daltonismo */
body.high-contrast {
  background-color: #ffffff; /* Gris oscuro */
  color: #ffd900; /* Gris claro */
}

body.high-contrast h1,
body.high-contrast h2,
body.high-contrast h3 {
  color: #00ff08; /* Azul claro */
}
body.high-contrast .seccion-quienes-somos {
  background-color: rgba(0, 0, 0, 0.49);
}

body.high-contrast .ultimo-moda{
  background-color: rgba(0, 0, 0, 0.49);
}

body.high-contrast a {
  color: #ffd900; /* Verde claro */
}

body.high-contrast button,
body.high-contrast .boton,
body.high-contrast .card button {
  background-color: #c8ff00; /* Azul */
  color: #0400ff;
  border: 1px solid #09ff00;
}

body.high-contrast button:hover,
body.high-contrast .boton:hover,
body.high-contrast .card button:hover {
  background-color: #ff00ea;
}

body.high-contrast .nav-bar,
body.high-contrast .modal-carrito,
body.high-contrast .contactanos-derecha form,
body.high-contrast footer {
  background-color: #137013; /* Gris azulado oscuro */
}

body.high-contrast .banner::before {
  background-color: #137013; /* Azul más intenso */
}

body.high-contrast .carrito {
  color: #00f7ff; /* Verde claro */
}

body.high-contrast .card {
  background-color: rgba(0, 255, 64, 0.7); /* Gris azulado oscuro con transparencia */
}

body.high-contrast .contenido-nuestra-historia p{
  color: rgb(11, 4, 116);
}

body.high-contrast .nuestros-valores p{
  color: rgb(11, 4, 116);
}

body.high-contrast .vision p{
  color: rgb(0, 225, 255);
}
body.high-contrast .mision p{
  color: rgb(0, 225, 255);
}

img {
  filter: contrast(120%);
}

body.high-contrast img {
  filter: contrast(150%);
}

/* Seccion nuestra historia */

.seccion-nuestra-historia {
  
 
    background-blend-mode: multiply;
    background-image: url('/Assets/images/fondo.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain; /* O 'cover' si quieres que cubra toda la sección */
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 50px;
    width: 100%;
    height: auto; 
    border-bottom: 1px solid #FFFFFF;
}

.contenido-nuestra-historia {
    display: flex;
    text-align: center;
    width: 50%;
    color: white;
    padding: 20px;
    box-sizing: border-box;
    background-size: 60% auto; 
    background-repeat: no-repeat; 
    background-position: center; 
    height: 590px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
 
}

.contenido-nuestra-historia h2 {
    font-family: 'Bungee Inline', cursive;
    font-weight: normal;
    font-size: 2em;
    margin-bottom: 20px;
}

.contenido-nuestra-historia p {
    text-align: justify;
    line-height: 1.6;
    margin-bottom: 30px;
    font-family: "Instrument Sans", sans-serif;
    
}

.boton-ver-mas {
    width: 90%;
    height: 60px;
    background-color: #FFFFFF;
    color: #000000;
    border: none;
    font-size: 1.2em;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.boton-ver-mas:hover {
    transform: scale(1.05);
}

.imagen-nuestra-historia {
  
    text-align: center;
}

.imagen-nuestra-historia img {
    width: 100%;
    height: 630px;
}

/* Seccion moda expresion */
.moda-expresion {
    text-align: center;
    padding: 50px;
    color: #FFFFFF;
}

.moda-expresion h2 {
    font-family: 'Bungee Inline', cursive;
    font-size: 2em;
    margin-bottom: 30px;
}

.moda-expresion p {
    line-height: 1.6;
    margin-bottom: 30px;
}



.columna-imagenes {
    display: flex;
    flex-direction: row;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
}

.columna-imagenes img {
    width: 40%;
    height: auto;
    object-fit: cover;
}

.imagen-destacada {
    width: 65%;
}

.imagen-destacada img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.boton-ver-mas {
    background-color: #FFFFFF;
    color: #000000;
    border: none;
    padding: 15px 30px;
    border-radius: 5px;
    cursor: pointer;
    transition: transform 0.3s ease;
    width: 45%;
}
.botton-ver{
    margin: 40px;
}

.boton-ver-mas:hover {
    transform: scale(1.05);
}

/* seccion nuestros valores */

.nuestros-valores {
    text-align: center;
    padding: 50px;
    background-image: url('/Assets/images/imagen-robot-fondo.png');  /* Reemplaza con tu imagen de fondo */
    background-size: cover;
    background-repeat: no-repeat;
    color: white;
    background-size: contain; /* O background-size: cover; o background-size: auto; */
    background-position: center;
    border-bottom: solid 2px white;
    min-height: 500px; /* O height: 100vh; o height: 800px; */
}

.nuestros-valores h2 {
    font-family: 'Bungee Inline', cursive;
    font-size: 2em;
    margin-bottom: 30px;
    z-index: 1; /* Asegura que el texto esté encima de la capa */
}

.nuestros-valores p {
    line-height: 1.6;
    margin-bottom: 30px;
    z-index: 1; /* Asegura que el texto esté encima de la capa */
}

.vision-mision {
    display: flex;
    justify-content: space-between;
    justify-content: center;
    gap: 80px;
}

.vision, .mision {
    display: flex;
    width: 30%;
    height: 560px;
    padding: 30px;
    background-size: cover;
    background-position: center;
    background-blend-mode: multiply;
    background-color: rgba(0, 0, 0, 0.781);
    transition: transform 0.3s ease;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

.vision:hover, .mision:hover {
    transform: scale(1.03);
}

.vision h3, .mision h3 {
    font-size: 1.5em;
    margin-bottom: 20px;
}

/* Fondos para VISION y MISION (reemplaza con tus imágenes) */
.vision { background-image: url('/Assets/images/img-valores1.png'); }
.mision { background-image: url('/Assets/images/img-valores2.png'); }


/* diseño footer*/

footer {
    background-color: #000000;
    border-top: 1px solid #FFFFFF;
    padding: 50px 20px;
    color: #FFFFFF;
    font-family: 'Instrument Sans', sans-serif;
}

.footer-content {
    display: flex;
    justify-content: space-around;
    border-bottom: 1px solid #FFFFFF;
    padding-bottom: 30px;
    
}

.footer-column {
    width: 30%;
}
footer .footer-column a {
    color: white; /* Enlaces en color blanco */
    text-decoration: none; /* Eliminar subrayado */
    transition: color 0.3s ease; /* Transición suave (opcional) */
}
.footer-column h3 {
    text-align: center;
    font-family: 'Bungee Inline', cursive;
    margin-bottom: 20px;
}

.footer-column p {
    text-align: justify;
    line-height: 1.6;
}

.logo {
    
    margin-bottom: 20px;
}

.social-icons {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    gap: 25px;
}

.fab{
    color: white;
    font-size: 45px;
}
.social-icons img {
    width: 30px;
    height: 30px;
    margin: 0 10px;
}

.copyright {
    text-align: center;
    padding-top: 30px;
}
.style{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.image-logo{
    width:50%;
}
.logo-footer {
    text-align: center;
}

/* Responsive */
@media (max-width: 768px) {
  .nav-links {
    display: none; /* Oculta el menú en mobile */
    flex-direction: column;
    background-color: #000;
    position: static;
    top: 60px; /* Ajusta según la altura de tu barra de navegación */
    left: 0;
    width: 100%;
    text-align: center;
    flex-grow: 1; /* Permite que el menú crezca para ocupar el espacio disponible */
    z-index: 1000; 
}


.nav-links.active {
    display: flex; /* Muestra el menú cuando está activo */
}
.nav-links li {
    margin: 15px 0;
}
.hamburger {
    display: block; /* Muestra el botón hamburguesa en mobile */
}
.logo-img {
    width: 15%; /* Ajusta el tamaño del logo para mobile */
}
.nav-bar {
    flex-wrap: wrap; /* Permite que los elementos se envuelvan en pantallas pequeñas */
}

  /* diseño banner */
  .banner {
    flex-direction: column;
    padding: 20px;
}

.banner-content h1 {
  font-family: 'Jomhuria', cursive;
  font-size: 120px;
  font-weight: 100;
  margin-bottom: -20px;
}

.banner-content p {
    font-family: 'Lusitana', serif;
    font-size: 25px;
    letter-spacing: 30px;
    text-align: end;
}

.banner-image {
    text-align: center;
    margin-top: 20px;
}

.banner-image img {
    width: 80%;
    height: auto;
}

.banner::before {
    left: -50%;
    width: 200%;
    transform: skew(-70deg);
}
/* Estilos de banner nuestra historia */
.seccion-nuestra-historia {
  flex-direction: column;
  padding: 20px;
}

.contenido-nuestra-historia {
  width: 100%;
  height: auto;
  background-size: 80% auto;
}

.contenido-nuestra-historia h2 {
  font-size: 1.8em;
}

.contenido-nuestra-historia p {
  font-size: 0.9em;
}

.imagen-nuestra-historia img {
  width: 90%;
  height: auto;
}
/* Seccion moda expresion */
.moda-expresion {
  padding: 30px 15px;
}

.moda-expresion h2 {
  font-size: 1.8em;
}

.moda-expresion p {
  font-size: 0.9em;
}

.columna-imagenes img {
  width: 100%;
}

.boton-ver-mas {
  width: 90%;
}
/* nuestros valores */
.nuestros-valores {
  padding: 30px 15px;
}

.nuestros-valores h2 {
  font-size: 1.8em;
}

.nuestros-valores p {
  font-size: 0.9em;
}

.vision-mision {
  flex-direction: column;
  gap: 30px;
  align-items:center;
}

.vision, .mision {
  width: 90%;
  height: auto;
}
/* seccion footer */
.footer-content {
  flex-direction: column;
  align-items: center;
}

.footer-column {
  width: 90%;
  margin-bottom: 30px;
}

.footer-column h3 {
  font-size: 1.3em;
}

.footer-column p {
  font-size: 0.9em;
  text-align: center;
}

.social-icons {
  gap: 15px;
}

.fab {
  font-size: 30px;
}

.image-logo {
  width: 80%;
}
}

/* Tablet Styles (min-width: 769px) and (max-width: 1024px) */
@media (min-width: 769px) and (max-width: 1024px) {
  .banner {
      padding: 30px;
  }

  .banner-content h1 {
      font-size: 70px;
  }

  .banner-content p {
      font-size: 20px;
      letter-spacing: 0.8em;
  }

  .banner-image img {
      width: 300px;
      height: 400px;
  }

  .banner::before {
      left: -30%;
      width: 190%;
  }
  /* seccion nuestra historia */
  .seccion-nuestra-historia {
    padding: 30px;
}

.contenido-nuestra-historia {
    width: 60%;
    height: auto;
}

.contenido-nuestra-historia h2 {
    font-size: 2em;
}

.contenido-nuestra-historia p {
    font-size: 1em;
}

.imagen-nuestra-historia img {
    width: 80%;
    height: auto;
}
/* seccion moda expresion */
.moda-expresion {
  padding: 40px 20px;
}

.moda-expresion h2 {
  font-size: 2em;
}

.moda-expresion p {
  font-size: 1em;
}

.columna-imagenes img {
  width: 45%;
}

.boton-ver-mas {
  width: 60%;
}
/* nuestros valores */
.nuestros-valores {
  padding: 40px 20px;
}

.nuestros-valores h2 {
  font-size: 2em;
}

.nuestros-valores p {
  font-size: 1em;
}

.vision-mision {
  gap: 40px;
}

.vision, .mision {
  width: 45%;
  height: auto;
}

/* seccion footer */
.footer-content {
  flex-wrap: wrap;
}

.footer-column {
  width: 45%;
  margin-bottom: 30px;
}

.footer-column h3 {
  font-size: 1.4em;
}

.footer-column p {
  font-size: 1em;
}

.image-logo {
  width: 60%;
}
}